Subject: bug#40733: 28.0.50; Emacs locks up on paste (yank) of unicode characters

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Apr 2020 16:50:59 +0300

> From: Will Bush <[email-masked]>
> Date: Sat, 25 Apr 2020 05:34:23 -0500
> Cc: "Basil L. Contovounesios" <[email-masked]>, [email-masked],
>  James Cloos <[email-masked]>
> 
> Eli> I'm not sure I understand: you are saying that slow, but correct
> Eli> display is _worse_ than displaying a white space instead of the
> Eli> correct glyph, i.e. producing incorrect display?  To me, it sounds
> Eli> like Emacs 27+ actually _improves_ things in this case.
> 
> Let me quantify the performance because I've been ambiguous about it so far:
> 
> λ ~/ time emacs -Q --eval '(message "hi")' -kill
> emacs -Q --eval '(message "hi")' -kill  0.19s user 0.02s system 55% cpu 0.371 total
> λ ~/ time emacs -Q --eval '(message "︵")' -kill
> emacs -Q --eval '(message "︵")' -kill  81.64s user 0.03s system 99% cpu 1:21.91 total
> 
> It takes ~81 seconds to do something while locking up the UI. That's personally
> beyond my threshold for killing the process.

It would be good to know what happens in Emacs during those 88
seconds.  Please try using "M-x profiler" to find out.